%global install_loc  %{_datadir}/eclipse/dropins/%{pkgname}
%global eclipse_base %{_libdir}/eclipse

%global pkgname      texlipse
%global plugin_git   254ca99
%global feature_git  80ce9fe

Name:           eclipse-%{pkgname}
Version:        1.5.0
Release:        6.20111125git%{plugin_git}%{?dist}
Summary:        Eclipse plugin for editing Latex

Group:          Applications/Engineering
License:        EPL
URL:            http://texlipse.sourceforge.net

# git archive --remote git://texlipse.git.sourceforge.net/gitroot/texlipse/net.sourceforge.texlipse \
#     --prefix=net.sourceforge.texlipse/ %{plugin_git} \
#     > net.sourceforge.texlipse.%{plugin_git}.tar.gz
Source0:        net.sourceforge.%{pkgname}.%{plugin_git}.tar.gz
# git archive --remote git://texlipse.git.sourceforge.net/gitroot/texlipse/net.sourceforge.texlipse-feature \
#     --prefix=net.sourceforge.texlipse-feature/ %{feature_git} \
#     > net.sourceforge.texlipse-feature.%{feature_git}.tar.gz
Source1:        net.sourceforge.%{pkgname}-feature.%{feature_git}.tar.gz


# Fedora related patches as upstream default is suitable for Windows as well
#    Fedora doesn't ship acroread, hence opting for xdg-open
Patch0:         eclipse-%{pkgname}-%{version}-pdfpreview.patch
#    Remove unneccessary files
Patch1:         eclipse-%{pkgname}-bin_excludes.patch
#    Fix version in feature.xml
Patch2:         eclipse-%{pkgname}-feature-version.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eclipse-pde
BuildRequires:  java-devel

Requires:       eclipse-platform
Requires:       tex(latex)
Requires:       xdg-utils

# For Preview
Requires:       xdvik

# For Spell-Check (choosing default : English)
Requires:       aspell-en

BuildArch:      noarch

# Ignoring rpmlint warning zero-length for Blank.tex, it is used as example

%description
Texlipse is a plugin that adds Latex editing support for the
popular Eclipse IDE.

Key features include:
    Syntax highlight, command completion, bibliography completion,
    outline navigation and automatic building.

%prep
%setup -q -c
%setup -q -T -D -a 1

%patch0 -p1 -b .pdfpreview
%patch1 -p1 -b .exclude
%patch2 -p1 -b .feature-version

find -name '*.jar' -o -name '*.class' -o -name '.cvsignore' -exec rm -f '{}' \;

# Preparing examples for %%doc
%{__cp} -pr net.sourceforge.%{pkgname}/docs/arch net.sourceforge.%{pkgname}/examples

%build
eclipse-pdebuild

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{install_loc}
unzip -d %{buildroot}%{install_loc} -q build/rpmBuild/net.sourceforge.%{pkgname}.zip

# Removing duplicates that should be in %%doc
%{__rm} -f %{buildroot}%{install_loc}/eclipse/plugins/net.sourceforge.%{pkgname}_%{version}/about.html

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc net.sourceforge.%{pkgname}/about.html
%doc net.sourceforge.%{pkgname}/examples
%{install_loc}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6.20111125git254ca99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-5.20111125git254ca99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Mary Ellen Foster <mefoster@gmail.com> - 1.5.0-4.20111125git254ca99
- Use eclipse-pdebuild to compile

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3.20111125git254ca99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2.20111125git254ca99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Mary Ellen Foster <mefoster@gmail.com> - 1.5.0-1.20111125git254ca99
- Update to 1.5.0 (via git snapshot)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3.20090829cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 29 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 1.3.0-2.20090829cvs
- Corrected the spec file based on the comments from package review : RHBZ #506431
- Updated to upstream CVS checkout 20090829

* Tue Jun 16 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 1.3.0-1.20090616cvs
- Initial Fedora Package

